Barcode2DWithSoft.ScanerParamVal

com.zebra.adc.decoder

## Class Barcode2DWithSoft.ScanerParamVal

- java.lang.Object
- - com.zebra.adc.decoder.Barcode2DWithSoft.ScanerParamVal

- Enclosing class:
    Barcode2DWithSoft

      public static class Barcode2DWithSoft.ScanerParamVal
      extends java.lang.Object

  扫描头参数值(只支持moto扫描头)
  Scanning module parameter value(support MOTO scanning module only)
  Author:
    liuruifeng

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `AIM_OFF` Valid values for ParamNum.IMG_AIM_MODE and ParamNum.AIMMODEHANDSFREE
    `static byte` | `AIM_ON`
    `static byte` | `AIM_ON_ALWAYS`
    `static byte` | `AUTO_AIM`
    `static byte` | `HANDSFREE`
    `static byte` | `IMG_BPP_1` Valid values for ParamNum.IMG_BPP and ParamNum.
    `static byte` | `IMG_BPP_4`
    `static byte` | `IMG_BPP_8`
    `static byte` | `IMG_ENHANCE_CUSTOM`
    `static byte` | `IMG_ENHANCE_HIGH`
    `static byte` | `IMG_ENHANCE_LOW`
    `static byte` | `IMG_ENHANCE_MED`
    `static byte` | `IMG_ENHANCE_OFF` Valid values for ParamNum.IMG_ENHANCEMENT
    `static byte` | `IMG_FORMAT_BMP`
    `static byte` | `IMG_FORMAT_JPEG` Valid values for ParamNum.IMG_FILE_FORMAT
    `static byte` | `IMG_FORMAT_TIFF`
    `static byte` | `IMG_SUBSAMPLE_FACTOR_1` Valid values for ParamNum.IMG_SUBSAMPLE and ParamNum.IMG_VIDEOSUB
    `static byte` | `IMG_SUBSAMPLE_FACTOR_2`
    `static byte` | `IMG_SUBSAMPLE_FACTOR_3`
    `static byte` | `IMG_SUBSAMPLE_FACTOR_4`
    `static byte` | `INVERSE_AUTOD`
    `static byte` | `INVERSE_ONLY`
    `static byte` | `ISBT_CONCAT_AUTOD`
    `static byte` | `ISBT_CONCAT_NONE` Valid values for ParamNum.ISBT_CONCAT_MODE
    `static byte` | `ISBT_CONCAT_ONLY`
    `static byte` | `LEVEL` Valid values for ParamNum.PRIM_TRIG_MODE
    `static byte` | `MIRROR_ALWAYS`
    `static byte` | `MIRROR_AUTO`
    `static byte` | `MIRROR_NEVER` Valid values for ParamNum.PICKLIST_MODE
    `static byte` | `PDF_CWLEN_ZERO_OK`
    `static byte` | `PDF_SECURITY_STRICT` Valid values for ParamNum.PDF_SECURITY_LEVEL
    `static byte` | `PICKLIST_ALWAYS`
    `static byte` | `PICKLIST_NEVER` Valid values for ParamNum.PICKLIST_MODE
    `static byte` | `PICKLIST_OUT_OF_SCANSTAND`
    `static byte` | `REGULAR_ONLY` Valid values for ParamNum.*_INVERSE
    `static byte` | `SUPP_378_379`
    `static byte` | `SUPP_414_419_434_439`
    `static byte` | `SUPP_491`
    `static byte` | `SUPP_977`
    `static byte` | `SUPP_978_979`
    `static byte` | `SUPP_AUTOD`
    `static byte` | `SUPP_NONE` Valid values for ParamNum.SUPPS
    `static byte` | `SUPP_ONLY`
    `static byte` | `SUPP_PROG_1`
    `static byte` | `SUPP_PROG_1_AND_2`
    `static byte` | `SUPP_SMART`
    `static byte` | `SUPP_SMART_PLUS_1`
    `static byte` | `SUPP_SMART_PLUS_1_2`
    `static byte` | `UPC_ALWAYS`
    `static byte` | `UPC_AUTOD`
    `static byte` | `UPC_NEVER` Valid values for ParamNum.UPC_COMPOSITE

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanerParamVal()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUPP_NONE

          public static final byte SUPP_NONE

      Valid values for ParamNum.SUPPS
      See Also:
        Constant Field Values

    - #### SUPP_ONLY

          public static final byte SUPP_ONLY

      See Also:
        Constant Field Values

    - #### SUPP_AUTOD

          public static final byte SUPP_AUTOD

      See Also:
        Constant Field Values

    - #### SUPP_SMART

          public static final byte SUPP_SMART

      See Also:
        Constant Field Values

    - #### SUPP_378_379

          public static final byte SUPP_378_379

      See Also:
        Constant Field Values

    - #### SUPP_978_979

          public static final byte SUPP_978_979

      See Also:
        Constant Field Values

    - #### SUPP_414_419_434_439

          public static final byte SUPP_414_419_434_439

      See Also:
        Constant Field Values

    - #### SUPP_977

          public static final byte SUPP_977

      See Also:
        Constant Field Values

    - #### SUPP_491

          public static final byte SUPP_491

      See Also:
        Constant Field Values

    - #### SUPP_PROG_1

          public static final byte SUPP_PROG_1

      See Also:
        Constant Field Values

    - #### SUPP_PROG_1_AND_2

          public static final byte SUPP_PROG_1_AND_2

      See Also:
        Constant Field Values

    - #### SUPP_SMART_PLUS_1

          public static final byte SUPP_SMART_PLUS_1

      See Also:
        Constant Field Values

    - #### SUPP_SMART_PLUS_1_2

          public static final byte SUPP_SMART_PLUS_1_2

      See Also:
        Constant Field Values

    - #### LEVEL

          public static final byte LEVEL

      Valid values for ParamNum.PRIM_TRIG_MODE
      See Also:
        Constant Field Values

    - #### HANDSFREE

          public static final byte HANDSFREE

      See Also:
        Constant Field Values

    - #### AUTO_AIM

          public static final byte AUTO_AIM

      See Also:
        Constant Field Values

    - #### IMG_BPP_1

          public static final byte IMG_BPP_1

      Valid values for ParamNum.IMG_BPP and ParamNum. IMG_SIG_BPP
      See Also:
        Constant Field Values

    - #### IMG_BPP_4

          public static final byte IMG_BPP_4

      See Also:
        Constant Field Values

    - #### IMG_BPP_8

          public static final byte IMG_BPP_8

      See Also:
        Constant Field Values

    - #### IMG_FORMAT_JPEG

          public static final byte IMG_FORMAT_JPEG

      Valid values for ParamNum.IMG_FILE_FORMAT
      See Also:
        Constant Field Values

    - #### IMG_FORMAT_BMP

          public static final byte IMG_FORMAT_BMP

      See Also:
        Constant Field Values

    - #### IMG_FORMAT_TIFF

          public static final byte IMG_FORMAT_TIFF

      See Also:
        Constant Field Values

    - #### IMG_SUBSAMPLE_FACTOR_1

          public static final byte IMG_SUBSAMPLE_FACTOR_1

      Valid values for ParamNum.IMG_SUBSAMPLE and ParamNum.IMG_VIDEOSUB
      See Also:
        Constant Field Values

    - #### IMG_SUBSAMPLE_FACTOR_2

          public static final byte IMG_SUBSAMPLE_FACTOR_2

      See Also:
        Constant Field Values

    - #### IMG_SUBSAMPLE_FACTOR_3

          public static final byte IMG_SUBSAMPLE_FACTOR_3

      See Also:
        Constant Field Values

    - #### IMG_SUBSAMPLE_FACTOR_4

          public static final byte IMG_SUBSAMPLE_FACTOR_4

      See Also:
        Constant Field Values

    - #### AIM_OFF

          public static final byte AIM_OFF

      Valid values for ParamNum.IMG_AIM_MODE and ParamNum.AIMMODEHANDSFREE
      See Also:
        Constant Field Values

    - #### AIM_ON

          public static final byte AIM_ON

      See Also:
        Constant Field Values

    - #### AIM_ON_ALWAYS

          public static final byte AIM_ON_ALWAYS

      See Also:
        Constant Field Values

    - #### UPC_NEVER

          public static final byte UPC_NEVER

      Valid values for ParamNum.UPC_COMPOSITE
      See Also:
        Constant Field Values

    - #### UPC_ALWAYS

          public static final byte UPC_ALWAYS

      See Also:
        Constant Field Values

    - #### UPC_AUTOD

          public static final byte UPC_AUTOD

      See Also:
        Constant Field Values

    - #### PICKLIST_NEVER

          public static final byte PICKLIST_NEVER

      Valid values for ParamNum.PICKLIST_MODE
      See Also:
        Constant Field Values

    - #### PICKLIST_OUT_OF_SCANSTAND

          public static final byte PICKLIST_OUT_OF_SCANSTAND

      See Also:
        Constant Field Values

    - #### PICKLIST_ALWAYS

          public static final byte PICKLIST_ALWAYS

      See Also:
        Constant Field Values

    - #### MIRROR_NEVER

          public static final byte MIRROR_NEVER

      Valid values for ParamNum.PICKLIST_MODE
      See Also:
        Constant Field Values

    - #### MIRROR_ALWAYS

          public static final byte MIRROR_ALWAYS

      See Also:
        Constant Field Values

    - #### MIRROR_AUTO

          public static final byte MIRROR_AUTO

      See Also:
        Constant Field Values

    - #### IMG_ENHANCE_OFF

          public static final byte IMG_ENHANCE_OFF

      Valid values for ParamNum.IMG_ENHANCEMENT
      See Also:
        Constant Field Values

    - #### IMG_ENHANCE_LOW

          public static final byte IMG_ENHANCE_LOW

      See Also:
        Constant Field Values

    - #### IMG_ENHANCE_MED

          public static final byte IMG_ENHANCE_MED

      See Also:
        Constant Field Values

    - #### IMG_ENHANCE_HIGH

          public static final byte IMG_ENHANCE_HIGH

      See Also:
        Constant Field Values

    - #### IMG_ENHANCE_CUSTOM

          public static final byte IMG_ENHANCE_CUSTOM

      See Also:
        Constant Field Values

    - #### ISBT_CONCAT_NONE

          public static final byte ISBT_CONCAT_NONE

      Valid values for ParamNum.ISBT_CONCAT_MODE
      See Also:
        Constant Field Values

    - #### ISBT_CONCAT_ONLY

          public static final byte ISBT_CONCAT_ONLY

      See Also:
        Constant Field Values

    - #### ISBT_CONCAT_AUTOD

          public static final byte ISBT_CONCAT_AUTOD

      See Also:
        Constant Field Values

    - #### REGULAR_ONLY

          public static final byte REGULAR_ONLY

      Valid values for ParamNum.*_INVERSE
      See Also:
        Constant Field Values

    - #### INVERSE_ONLY

          public static final byte INVERSE_ONLY

      See Also:
        Constant Field Values

    - #### INVERSE_AUTOD

          public static final byte INVERSE_AUTOD

      See Also:
        Constant Field Values

    - #### PDF_SECURITY_STRICT

          public static final byte PDF_SECURITY_STRICT

      Valid values for ParamNum.PDF_SECURITY_LEVEL
      See Also:
        Constant Field Values

    - #### PDF_CWLEN_ZERO_OK

          public static final byte PDF_CWLEN_ZERO_OK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScanerParamVal

          public ScanerParamVal()